Getting Started

ISeekCure (I Secure) is a high-level text encryption/decryption program. If used correctly, it provides unbreakable encryption for e-mail, instant messaging programs, text files and more.

ISeekCure is very easy to use. To learn the basics, read this chapter of the help file.

Next >>


Quick Start

This quick tutorial will take you through all the functions of ISeekCure. It assumes that you have a general working knowledge of Windows and e-mail or instant messaging. Instructions that are more detailed are available in the following help chapters.

· Step 1 - Click on the Create New Key [image] button. Give it a file name and click save. Remember where you save this key.

· Step 2 - Type some text into the text area.

· Step 3 - Press the Encrypt [image] button.
You have just encrypted your first message.
Notice that the Clipboard indicator changed from [image] empty, to [image] full. Also, notice that the unsecured indicator [image] changed to Secure [image] telling you that your text is secure.

· Step 4 - Now open up your e-mail or instant messenger program and click where you would begin typing text.

· Step 5 - While holding down the 'Control' key, press the letter v.
You have just pasted the text. Now send it as you normally would.

· Step 6 - If you haven't already, notify the person you just sent the message to. They will need ISeekCure to decrypt your message. At the top menu titled Friends, select SMTP Setup. Enter your SMTP setting and your e-mail address and click save. Click on the Notify Friends [image] button. Fill in the information and click Send. Your friend will need the key file you used to encrypt the text. Normally you would not send this key file over the Internet. For better security, you would mail or deliver it in person on a floppy disk. For this example, we will send it through e-mail. With your e-mail program, send the .isk key file you created in Step 1, as an attachment to your friend. If you do not how to do this, consult the help section of your e-mail program.

· Step 7 - Close ISeekCure and reopen it. This is so we can show you the Load Key [image] function. Click on the Load Key button. Open the same key file that you created in Step 1.

· Step 8 - Have your friend send you an encrypted message through e-mail or instant messaging. When you receive it, select the encrypted message using the mouse. Click the right mouse button on the selected text and choose Copy.

· Step 9 - Click inside the text area of ISeekCure and press the Clipboard [image] button. This pastes the encrypted text into ISeekCure.

· Step 10 - Click the Decrypt [image] button. If you have the correct key file loaded, you will now be able to read the message. That's it. It's as easy as that to use ISeekCure.
You can also Load Text Files [image] and encrypt them the same way and them Save [image] them secured.
The Connection indicator tells you whether you are [image] or [image] offline.


"One Time Pad" Encryption

ISeekCure uses the "One Time Pad" encryption method. This was a common method used between soldiers in World War II. The method is simple to do but very difficult or impossible to break without the key. U.S. Soldiers would write a message and then using a predetermined key, would roll the letters up or down the alphabet, by the value of the key. After the message was received, decrypted or decoded and understood, the key was no longer used. They used to write their messages and keys on pads of paper. Thus the name: 'One Time Pad'. After decoding the message, the piece of paper containing the message and the key, was destroyed by burning.

The only drawback to the 'One Time Pad' method is that, the more you use the same key, the less secure it becomes. This is because if more than one encrypted message is intercepted by an individual, certain patterns can be noticed and the key can be reproduced using reverse engineering.

Here is an example of a simple "One Time Pad" encryption:
Let's use the word 'HELLO' and the key '5,1,7,0,3'.
The method might roll the letters upward and 'HELLO' would become: 'MFSLR'. If a letter rolled past "Z", it would roll over to "A" and start counting up from there. If we encrypted the word 'TODAY' using the same key, we would get: 'YPKAB'. If someone wanted to break your code, and they had the messages 'MFSLR' and YPKAB' and they thought you used the same key for both, they could find the pattern and see that the key is: '5,1,7,0,3'. Once they have the key, your message is then unsecured.

With computers, we can get even more complex than this. Both the key and the rolling method can use special rules, as long as these same rules are followed in reverse order when the message is decoded. ISeekCure is much more complicated than the above sample, but it uses the same theory.


Creating a Key File

Creating a key file is easy. ISeekCure does most of the work for you. Simply, click on the New Key [image] button. A save file dialog window will open. Give your key a file name. You can have an unlimited number of key files, so to keep track of them, you might want to use a naming convention something like this:
If, for example, your name is Sue and you are creating a key to use to talk secure with Bob, you might use the name Sue_Bob. ISeekCure automatically adds the unique key file extension .isk. Since using keys over and over again, makes ISeekCure less secure (see What Is "One Time Pad" Encryption) you may want to give your filename a day of the month, like: Sue_Bob_23. In this example, you and Bob would know that on the 23rd of every month, you are to use this key file. You would need to create 31 (maximum 31 days in a month) to use this method. You could also use the Julian calendar method. For this, you would need to create 366 (remember leap years) key files, each numbered for a day of the year (1 being January 1st). You then only use each key once a year. This increases the security a lot. Of course, with "One Time Pad" encryption, the only way to be 100% secure is to use each key file only once, and never use it again. Also, don't send your key files electronically over the Internet. The best way is to save them on a floppy and mail them to your friend, or to deliver the floppy in person. Remember, if someone has your key file, they can decode your messages.


Loading a Key File

To load a key file, click on the Load Key File [image] button. Browse for your key file and click OK. Key files have an .isk extension. You cannot encrypt or decrypt a message until a key file is created or loaded.


Encrypt & Send Text

Encrypting & Sending Text

To encrypt text you must first learn how to use the clipboard. ISeekCure has a large text area at the center of the screen. With a key file created or loaded, type some text into the text area and press the Encrypt [image] button. Note: this button will be gray and inactive until a key file is loaded. Once you press the encrypt button, you'll see your text change to something like this <ISeekCured>Ff8$aOq~@1:kB*{A8 and the Clipboard Indicator button will change from this [image] to this [image] indicating that the clipboard has the encrypted text stored in it. To send the encrypted message, open your instant messaging or e-mail program. Right mouse click inside the area where you would normally type your message. Choose Paste and the encrypted text is inserted into your program. Now just send it as you normally would.

The clipboard indicator is also a button that is used for decrypting text. For more information, see Decrypting Text.


Decrypting & Receiving Text

Decrypting and Receiving Text

To decrypt an encrypted message, open the e-mail or instant message program where the message is. Highlight the entire message. To do this, click and hold down the left mouse button on the first character of the encrypted message and drag the mouse to the right until all the text is highlighted.
Now click the right mouse button inside this highlighted area, choose Copy or press, and hold the Control ‘key while typing the letter’ c. This copies the text to the clipboard.
Next, open ISeekCure and click anywhere inside the text area. Click the right mouse button and choose Paste. The text area is now filled with the encrypted message. Load the key file that your friend used to encrypt the message with, by clicking the Load Key [image] button. Now click on the Decrypt [image] button. If the correct key file is loaded, you will now be able to read the message.


Using the Clipboard

The clipboard is a MS Window's function. When you copy or cut something, it is stored in a special area of memory called the clipboard and then you can paste the contents of the clipboard somewhere else. Even in another program. The clipboard can hold many different data types too. It can hold graphic images, program files, sound files, text and more. ISeekCure uses the clipboard to store text. When you encrypt something, it automatically stores the encrypted data on the clipboard so that it can be pasted into your e-mail, instant messenger program or wherever else you want to put it. Many programs use the Cut, Copy & Paste [image] buttons. These are clipboard functions.

The keyboard shortcuts for these are 'Control' + "x", 'Control' + 'c' and 'Control' + 'v' respectively. For example: if you wanted to copy some text, you would first select or highlight the text you wish to copy. To do this, click, with the left mouse button, on the first letter of the text you wish to select and while holding down the mouse button and drag the mouse until all the text is selected or highlighted. Then, while holding down the 'Control' button, type the letter 'c'. The text you selected is now copied into the clipboard.


Text and ASCII Files

Text (.txt) and ASCII (.asc) files are text only files. That means they contain no graphics or special formatting characters like in rich text documents. When you use Windows 'Notepad', the text is saved as a .txt file and it uses only a basic ASCII character set.
ISeekCure will only encrypt .txt, .asc, .htm or .html files. Newer versions of ISeekCure may add the feature of encrypting rich text documents and other file types, but the program's main purpose is to provide instant messaging security.

Below are samples of plain text and rich text.


Loading a Text File

To Load a text file, click on the Load Text File [image] button. The open file dialog will appear. Browse for the file you wish to open. You can open .txt, .asc, .htm, .html and any other type of file that is plain text. Note: if you open files other than plain text files, it could cause ISeekCure to shut down or lock up. If this should happen, just restart ISeekCure.

Once loaded, you can encrypt and save the text file.


Saving a Text File

To save a text file, click on the Save Text File [image] button. The save file dialog will appear. The default file type is .txt, but you can save it as any file type by choosing All Files *.* from the Save as Type selector, and giving the filename an extension, such as .htm.

Once saved, you can load and decrypt the text file.


Notifying Your Friends

Since to use ISeekCure, your friends will need the program too, we've made it easy to notify your friends about ISeekCure right from the program. You will need to do two things before you can start using this. You'll need to click on 'Friends' from the top menu and select 'Setup'. You then enter your SMTP setting. If you do not know what this setting is, contact your Internet Service Provider (ISP). Then enter your e-mail address and click save. You only need to do this once, after that, you can notify as many friends as you want about ISeekCure by just clicking the Notify Friends [image] button and following the directions.

You do not have to use the Notify Friends feature of ISeekCure. If you prefer, you can use your own e-mail software to let them know where to download ISeekCure.


SMTP Settings

You only need to set the SMTP settings once. To access the SMTP Setup, click on the 'Friends' menu on the ISeekCure main window, and choose 'Setup'. Follow the directions. If your SMTP settings or e-mail addresses change, you can run setup and make the necessary changes at any time.

Your SMTP setting should be something like this: smtp.YourISPDomain.com. Ask your Internet Service Provider (ISP) if you are unsure.


Placing An Ad

Placing a Ticker Ad

You do not have to own a business to place a ticker ad. You can place ads to meet someone, sell or trade something, place want ads or more. It is very inexpensive to advertise on our tickers, and your ad will be seen by everyone who downloads our freeware.

To place an ad, click on the Place an Ad [image] button and follow the directions. The Place an Ad window has it’s own help buttons; so if you are unsure what to do, click on one of the Help [image] buttons.